#include "CacheData.h"

// Cache Job 상태 정보 선언
// Cache 대기 상태
#define CACHE_STATUS_READY   0
// Cache Thread 가 할당되어 생성 작업 중인 상태
#define CACHE_STATUS_START   1


// 생성자
CCacheData::CCacheData()
{
	m_nStatus = CACHE_STATUS_READY;	
}

// 소멸자
CCacheData::~CCacheData()
{

}

// 본 객체의 재사용을 위한 멤버 변수 초기화 함수
void CCacheData::Init()
{
	m_requestData.Init();

	//m_strUri.clear();

	m_strSourceHost.clear();
	m_strSourceFilenameHash.clear();

	m_strTargetHost.clear();
	m_strTargetFilenameHash.clear();

	m_nStatus = CACHE_STATUS_READY;
}

void CCacheData::SetStatusReady()
{
	m_nStatus = CACHE_STATUS_READY;
}

void CCacheData::SetStatusStart()
{
	m_nStatus = CACHE_STATUS_START;
}

bool CCacheData::IsStatusReady()
{
	if( m_nStatus == CACHE_STATUS_READY )
		return true;
	else
		return false;
}
